real2DFFTData Class Reference

class real2DFFTData controls and manipulates real 2D fft data More...

`#include <real2DFFT.H>`

## Public Member Functions

| real2DFFTData (int r, int c)
| Constructor with all memory to be allocated internally.
| ~real2DFFTData ()
| Deconstructor.
int | getXSize ()
| The row count.
int | getYSize ()
| The column count.
int | getXHalfSize ()
| The half row count.
int | getYHalfSize ()
| The half column count.
void | reScale (void)
| Scales the output down by the number of elements.
void | compPowerSpec ()
| This function computes the power spectrum and updates the totalPower, maxPower and minPower.
void | compLogPowerSpec ()
| Finds 10*log10(power spectrum) and updates the totalPower, maxPower and minPower.
void | timeSpecAverage ()
| Updates timeXSum.
void | complexSpecAverage ()
| Updates realXSum and imagXSum.
void | powerSpecAverage ()
void | findYSum (int start, int stop)
| Finds the y-sum between columns start and stop.
void | findYMax (void)
| Finds the y-max for the ySum array, updates ySumMin, ySumMax, maxYSumIndex.
void | clearInput (void)
| Zeros the in array.
void | clearOutput (void)
| Zeros the out awway.

## Public Attributes

fftw_real * | in
| The input data and power spectrum.
fftw_real * | power
fftw_complex * | out
| The output data.
fftw_real * | xSum
| Arrays which sum across rows (x) and columns (y).
fftw_real * | ySum
fftw_real * | timeXSum
| A sum across the input time signal.
fftw_real * | realXSum
| Power spectral sums across rows (x) and columns (y).
fftw_real * | imagXSum
double | totalPower
| The total power in the power spectrum, the maximum and minimum powers too.
double | maxPower
double | minPower
double | xSumMin
| The minimum/maximum row (x) and column (y) sums.
double | xSumMax
double | ySumMin
double | ySumMax
int | maxXSumIndex
| Row (x) and Column (y) max sum indexes.
int | maxYSumIndex

## Detailed Description

class real2DFFTData controls and manipulates real 2D fft data

Examples
  real2DFFTExample.cc.

Definition at line 36 of file real2DFFT.H.

## Member Function Documentation

## clearInput()

void real2DFFTData::clearInput | ( | void |  | ) |

inline

Zeros the in array.

Examples
  real2DFFTExample.cc.

Definition at line 96 of file real2DFFT.H.

References in.

## clearOutput()

void real2DFFTData::clearOutput | ( | void |  | ) |

inline

Zeros the out awway.

Examples
  real2DFFTExample.cc.

Definition at line 98 of file real2DFFT.H.

References out.

## getXHalfSize()

int real2DFFTData::getXHalfSize | ( |  | ) |

inline

The half row count.

Definition at line 72 of file real2DFFT.H.

## getXSize()

int real2DFFTData::getXSize | ( |  | ) |

inline

The row count.

Examples
  real2DFFTExample.cc.

Definition at line 68 of file real2DFFT.H.

## getYHalfSize()

int real2DFFTData::getYHalfSize | ( |  | ) |

inline

The half column count.

Definition at line 74 of file real2DFFT.H.

## getYSize()

int real2DFFTData::getYSize | ( |  | ) |

inline

The column count.

Examples
  real2DFFTExample.cc.

Definition at line 70 of file real2DFFT.H.

## powerSpecAverage()

void real2DFFTData::powerSpecAverage | ( |  | ) |

Finds the power Spectrum averages and updates the xSumMin, xSumMax, ySumMin, ySumMax, xSum, ySum, maxXSumIndex, maxYSumIndex

## Member Data Documentation

## imagXSum

fftw_real * real2DFFTData::imagXSum

Definition at line 53 of file real2DFFT.H.

## in

fftw_real* real2DFFTData::in

The input data and power spectrum.

Examples
  real2DFFTExample.cc.

Definition at line 45 of file real2DFFT.H.

Referenced by clearInput().

## maxPower

double real2DFFTData::maxPower

Definition at line 56 of file real2DFFT.H.

## maxXSumIndex

int real2DFFTData::maxXSumIndex

Row (x) and Column (y) max sum indexes.

Definition at line 60 of file real2DFFT.H.

## maxYSumIndex

int real2DFFTData::maxYSumIndex

Definition at line 60 of file real2DFFT.H.

## minPower

double real2DFFTData::minPower

Definition at line 56 of file real2DFFT.H.

## out

fftw_complex* real2DFFTData::out

The output data.

Definition at line 47 of file real2DFFT.H.

Referenced by clearOutput().

## power

fftw_real * real2DFFTData::power

Examples
  real2DFFTExample.cc.

Definition at line 45 of file real2DFFT.H.

## realXSum

fftw_real* real2DFFTData::realXSum

Power spectral sums across rows (x) and columns (y).

Definition at line 53 of file real2DFFT.H.

## timeXSum

fftw_real* real2DFFTData::timeXSum

A sum across the input time signal.

Definition at line 51 of file real2DFFT.H.

## totalPower

double real2DFFTData::totalPower

The total power in the power spectrum, the maximum and minimum powers too.

Definition at line 56 of file real2DFFT.H.

## xSum

fftw_real* real2DFFTData::xSum

Arrays which sum across rows (x) and columns (y).

Definition at line 49 of file real2DFFT.H.

## xSumMax

double real2DFFTData::xSumMax

Definition at line 58 of file real2DFFT.H.

## xSumMin

double real2DFFTData::xSumMin

The minimum/maximum row (x) and column (y) sums.

Definition at line 58 of file real2DFFT.H.

## ySum

fftw_real * real2DFFTData::ySum

Definition at line 49 of file real2DFFT.H.

## ySumMax

double real2DFFTData::ySumMax

Definition at line 58 of file real2DFFT.H.

## ySumMin

double real2DFFTData::ySumMin

Definition at line 58 of file real2DFFT.H.

The documentation for this class was generated from the following file:

- real2DFFT.H